org.apache.hadoop.service

## Class LifecycleEvent

- java.lang.Object
- - org.apache.hadoop.service.LifecycleEvent

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class LifecycleEvent
      extends Object
      implements Serializable

  A serializable lifecycle event: the time a state transition occurred, and what state was entered.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Service.STATE` | `state` new state
    `long` | `time` Local time in milliseconds when the event occurred

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LifecycleEvent()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### time

          public long time

      Local time in milliseconds when the event occurred

    - #### state

          public Service.STATE state

      new state

  - ### Constructor Detail

    - #### LifecycleEvent

          public LifecycleEvent()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.